Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452366 - initrd doesn't start all the raid devices.
Summary: initrd doesn't start all the raid devices.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 15:14 UTC by Kamal Shaker
Modified: 2009-07-14 16:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:10:38 UTC


Attachments (Terms of Use)

Description Kamal Shaker 2008-06-21 15:14:22 UTC
Description of problem:

  The /init script in the initrd contains the line:
 
  mdadm -As --auto=yes --run /dev/md0

  At no point after this does it attempt to start any other raid devices (md1,
md2 etc)

  Should it not use mdadm --assemble --scan (as /etc/mdadm.conf is included in
the initrd)


Version-Release number of selected component (if applicable):

mkinitrd-6.0.52-2.fc9.x86_64

How reproducible:

Very.

Steps to Reproduce:
1. Create initrd on machine with two raid devices
2.
3.
  
Actual results:

Second and subsequent raid devices aren't started.

Expected results:

All raid devices should be started at some point


Additional info:

Not sure if this should be logged again mkinitrd, kernel or mdadm?

Only work around is to boot to single user mode, start the arrays and mount the
filesystems by hand, before continuing boot process.

Comment 1 loic 2009-02-08 22:37:48 UTC
Hello,

I ran on the same problem with FC10 (all updates done with yum). /boot and / are on two ATA disks (*) on a RAID-1 scheme (md0 and md1 respectively). /home is on two SCSI disks (Adaptec 2940 U2W, aic7xxx kernel module) again on a RAID-1 (md2).
At boot time, after checking / and /boot, the rc.sysinit fails on /home at the fsck step, telling he can find filesystem information on md2.
The problem comes from the fact that the aic7xxx module is NOT loaded at the moment where the fsck is performed. So the partitionning on the SCSI disks is unknown and the fsck fails.
I can't see where the system would know he has to load aic7xxx, since there is not modules.conf file.
The solution is therefore to recreate the initrd with the aic7xxx driver by using "mkinitrd --with=aic7xxx ...". The fsck then works fine and the boot completes.
Of course, this is a workaround, since the goal of the initrd is only to ensure that / is loaded before init is started.
But that was the simpliest/nicest solution I found.

(*) BTW : I don't understand the need to rename ATA devices as sd<x> ; hd<x> was fine ...

Comment 2 Bug Zapper 2009-06-10 01:43:18 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 16:10:38 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.